package com.qmth.distributed.print.business.enums;

import com.qmth.teachcloud.common.enums.EnumResult;

import java.util.ArrayList;
import java.util.List;

/**
 * 云阅卷同步状态
 */
public enum ExamTaskSyncStatusEnum {

    INIT("未开始"),
    STARTING("同步中"),
    FAIL("同步失败"),
    FINISH("同步成功"),
    STUDENT_FINISH("考生同步成功");

    ExamTaskSyncStatusEnum(String desc) {
        this.desc = desc;
    }

    private String desc;

    public String getDesc() {
        return desc;
    }

    /**
     * @return
     */
    public static List<EnumResult> listTypes() {
        List<EnumResult> list = new ArrayList<EnumResult>();
        for (ExamTaskSyncStatusEnum value : ExamTaskSyncStatusEnum.values()) {
            EnumResult result = new EnumResult();
            result.setName(value.name());
            result.setOrdinal(value.ordinal());
            result.setCode(null);
            result.setDesc(value.getDesc());
            list.add(result);
        }
        return list;
    }

}
